GCLOUD_IAM_SERVICE-ACCOUNTS_LIST(1)

NAME

gcloud iam service-accounts list - list all of a project's service accounts

SYNOPSIS

gcloud iam service-accounts list [--filter=EXPRESSION] [--limit=LIMIT] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
List all of a project's service accounts.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.